import { List } from "postcss/lib/list";
import {
  Spacer,
  Gallery,
  FullText,
  FullImage,
  DualColumnText,
  ColumnImageText,
  FileViewer,
  FileDownload,
  Embedding,
  Section,
} from "../../viewmodels/webpage/component/dynamic-zone";
import { EmphasiseArticle } from "../../viewmodels/webpage/component/shared";

export type ComponentNames =
  | "shared.list"
  | "shared.emphasise-article"
  | "dynamic-zone.section"
  | "dynamic-zone.spacer"
  | "dynamic-zone.gallery"
  | "dynamic-zone.full-text"
  | "dynamic-zone.full-image"
  | "dynamic-zone.dual-column-text"
  | "dynamic-zone.column-image-text"
  | "dynamic-zone.file-viewer"
  | "dynamic-zone.file-download"
  | "dynamic-zone.embedding";

export type ComponentTypes =
  | List
  | EmphasiseArticle
  | Section
  | Spacer
  | Gallery
  | FullText
  | FullImage
  | DualColumnText
  | ColumnImageText
  | FileViewer
  | FileDownload
  | Embedding;
