import { ContentField } from "../field";
import { File, Component } from "./base";

export interface ColumnImageText extends Component {
  __component: "dynamic-zone.column-image-text";
  text: ContentField;
  image_left: boolean;
  image: File;
}

export interface DualColumnText extends Component {
  __component: "dynamic-zone.dual-column-text";
  left_side: ContentField;
  right_side: ContentField;
}

export interface Embedding extends Component {
  __component: "dynamic-zone.embedding";
  link: string;
}

export interface FileDownload extends Component {
  __component: "dynamic-zone.file-download";
  file: File;
}

export interface FileViewer extends Component {
  __component: "dynamic-zone.file-viewer";
  file: File;
}

export interface FullImage extends Component {
  __component: "dynamic-zone.full-image";
  image: File;
}

export interface FullText extends Component {
  __component: "dynamic-zone.full-text";
  text: ContentField;
}

export interface Gallery extends Component {
  __component: "dynamic-zone.gallery";
  images: Array<File>;
}

export interface Section extends Component {
  __component: "dynamic-zone.section";
  title: string;
  description: string;
}

export interface Spacer extends Component {
  __component: "dynamic-zone.spacer";
}
