import { NavbarItem, FooterLink } from "./items";

export interface SEO {
  metaTitle: string;
  metaDescription: string;
  keywords: string;
}

export interface Navbar {
  id: number;
  navbar_items: NavbarItem[];
}

export interface Footer {
  id: number;
  copyright: undefined | string;
  maintained_by: undefined | string;
  links: FooterLink[];
}
