export type TypeField = TextField | { type: "link"; url: string; children: Array<TextField> };

export type TextField = {
  type: "text";
  text: string;
  strikethrough?: boolean;
  underline?: boolean;
  italic?: boolean;
  bold?: boolean;
};
